Skip to content

Retrieve HACCP Plan Translatable Fields

After running Export Translatable HACCP Plan Fields, use this endpoint to retrieve the exported field data.

Before submitting this request:

  • The target HACCP Plan must have an associated HACCP Translation Generation record in the Export Complete lifecycle state.
  • The user who submits this request must be the same user who invoked the Export HACCP Plan Translatable Fields API.
GET/api/{version}/app/qualityone/haccp_plan/{haccp_plan_record_id}/translatable_fields/file
NameDescription
Acceptapplication/json
NameDescription
{haccp_plan_record_id}The ID field value for the HACCP Plan record you wish to translate.
curl -L -X GET -H "Authorization: {SESSION_ID}" \ -H "Accept: application/json" \ https://myvault.veevavault.com/api/v26.1/app/qualityone/haccp_plan/V7V00000000R001/translatable_fields/file
[ { "object_name": "haccp_plan__v", "field_metadata": [ { "name": "name__v", "type": "String", "max_length": 128 }, { "name": "comparison_id__v", "type": "String", "max_length": 200 }, { "name": "external_id__v", "type": "String", "max_length": 128 }, { "name": "description__v", "type": "String", "max_length": 1500 }, { "name": "title__v", "type": "String", "max_length": 250 } ], "language": "es", "records": [ { "id": "V7V00000000R001", "md5checksum": "9d4c28675262b14653d94089aad16028", "fields": { "name__v": "HACCP Plan for Chocolate", "comparison_id__v": "179483_V7V00000000Q001", "external_id__v": null, "description__v": "This HACCP Plan describes the process for manufacturing chocolate.", "title__v": null } } ] }, { "object_name": "haccp_plan_ingredient__v", "field_metadata": [ { "name": "external_id__v", "type": "String", "max_length": 128 }, { "name": "description__v", "type": "String", "max_length": 1500 }, { "name": "comparison_id__v", "type": "String", "max_length": 200 }, { "name": "ingredient_name__v", "type": "String", "max_length": 1500 } ], "language": "es", "records": [ { "id": "V7W00000000C001", "md5checksum": "e7cc04b9d6627df2ff52a2f7d29229a4", "fields": { "external_id__v": null, "description__v": "Dark chocolate", "comparison_id__v": "179483_V7W00000000B001", "ingredient_name__v": null } } ] } ]

On SUCCESS, Vault returns all translatable fields and their values from the target HACCP Plan and its related records. The returned JSON response can be downloaded into a file and includes the following information:

NameDescription
object_nameThe name of the HACCP Plan related object.
field_metadataIncludes metadata from translatable fields, including the name, type, and max_length.
nameThe exported field's API name.
typeThe following field types on the target HACCP Plan are included: Text (Metadata return type = String), Long Text (Metadata return type = LongText), and Rich Text (Metadata return type = RichText)
max_lengthThe maximum length of a text field.
languageThe language code of the target HACCP Plan.
recordsIncludes information about the record, including id, md5checksum, and fields.
idThe ID field value of the record to which the translatable fields belong.
md5checksumValidates that the translation file references the correct HACCP Plan.
fieldsThe translatable fields on the target record.

Replace the untranslated field values in the file with translated values and do not modify anything else in the file. The data structure in the file must be intact in order to successfully Import HACCP Plan Translatable Fields.